Summary: Screen - Manages multiple sessions on one tty
Name: screen
Version: 3.7.4
Release: 4
Copyright: distributable
Group: Utilities/Terminal
Source: ftp://prep.ai.mit.edu/pub/gnu/screen-3.7.4.tar.gz
Patch0: screen-3.6.2.patch
Patch1: screen-3.6.2-linux.patch
Patch2: screen-3.7.4-vbell-exploit.patch
Prereq: /sbin/install-info
BuildRoot: /var/tmp/screen-root
Summary(de): Screen - Verwaltet mehrere Sitzungen an einem tty
Summary(fr): screen - gre plusieurs sessions sur un seul terminal
Summary(tr): Bir ubirimde birden fazla oturumu dzenler

%description
Screen is a program that allows you to have multiple
logins on one terminal.  It is useful in situations where
you are telnetted into a machine or connected via a dumb
terminal and want more than just one login.

%description -l de
Screens ist ein Programm, das Ihnen erlaubt, sich auf einem
Terminal mehrfach einzuloggen - was ntzlich sein kann, 
wenn Sie ber ein dummes Terminal eine Telnetverbindung zu
einem Rechner haben und mehr als ein Login bentigen.

%description -l fr
Screen est un programme permettant plusieurs connexions sur un terminal.
Il est utile pour ouvrir plusieurs sessions  la fois, si vous voulez
ouvrir une session telnet sur une autre machine et voulez plus d'une
connexion.

%description -l tr
Screen, ayn ubirimde birden fazla oturum olana salayan bir programdr.
Bir makinaya telnet program ile ya da programlanamaz bir ubirim zerinden
balant kurduunuz durumlarda kullanldr.

%prep
%setup -q
%patch0 -b .config
%patch1 -p1 -b .linux
%patch2 -p1

%build
./configure --prefix=/usr
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/skel

make prefix=$RPM_BUILD_ROOT/usr install

( cd $RPM_BUILD_ROOT
  gzip -9nf ./usr/info/screen.info*
  strip ./usr/bin/screen

  rm -f ./usr/bin/screen.old ./usr/bin/screen
  mv ./usr/bin/screen-3.7.4 ./usr/bin/screen
)

install -c -m 0444 etc/etcscreenrc $RPM_BUILD_ROOT/etc/screenrc
install -c -m 0664 etc/screenrc $RPM_BUILD_ROOT/etc/skel/.screenrc

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/screen.info.gz /usr/info/dir --entry="* screen: (screen).             Terminal multiplexer."

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/screen.info.gz /usr/info/dir --entry="* screen: (screen).             Terminal multiplexer."
fi

%files
%defattr(-,root,root)
%doc NEWS README FAQ

/usr/bin/screen
/usr/man/man1/screen.1*
/usr/info/screen.info*

%config /etc/screenrc
%config /etc/skel/.screenrc

%changelog
* Fri Sep  1 2000 Crutcher Dunnavant <crutcher@redhat.com>
- Fixed an exploit in screen caused by mishandling of VisualBell
- strings specified by the user.

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- upgraded to 3.7.4

* Wed Oct 08 1997 Erik Troan <ewt@redhat.com>
- removed glibc 1.99 specific patch

* Tue Sep 23 1997 Erik Troan <ewt@redhat.com>
- added install-info support

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
